﻿package {

	import flash.display.MovieClip;
	import flash.display.Bitmap;
	import flash.display.Sprite;
	import flash.utils.ByteArray;
	import flash.filters.BitmapFilterQuality;

	import flash.filters.BlurFilter;

	public class GrassVisualizer extends MovieClip implements VisualizerInterface {
		var count:int = 1;
		
		public function SetObjectCount(new_count:int):void {
			count=new_count;
		}
		
		public function GetType():String {
			return "grass";
			}
		
		public function Draw():void {
		
			var side_count:Number = Math.floor(Math.sqrt(count));
			for(var i=0; i<side_count; i++) {
				for(var j=0; j<side_count; j++) {
					var mc:Steblo=new Steblo();
					
					mc.x=(j*50+100+(Math.floor(Math.random()*40)-20))/4+550;
					mc.y= (i*50+300+(Math.floor(Math.random()*40)-20))/4+350;
					var c:Number = Math.random();
					mc.width = mc.width*(c*0.5+0.5)/8;
					mc.height = mc.height*(c*0.5+0.5)/8;
					//var blur:BlurFilter = new BlurFilter();
					var filter:BlurFilter=new BlurFilter(1.1,1.1,BitmapFilterQuality.HIGH);
					//blur.blurX = 10;
					//blur.blurY = 10;
					//blur.quality = BitmapFilterQuality.HIGH;
					mc.filters = [filter];

					addChildAt(mc, side_count*i+j);
				}
			}
			

		}


	}
}
